<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="java.util.Calendar,java.util.Date" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<c:if test="${empty wishListList or wishListList['empty']}">
	<p id="noWishLists"><bean:message key="wishList.noWishLists" bundle="/customer"/></p>
</c:if>
<c:if test="${!empty wishListList and !wishListList['empty']}">
<c:set var="wishListPageSize" value="10"/>
	<bean:size id="itemCount" name="wishListList"/>
	<%
	    String wishListPageSize = (String) pageContext.getAttribute("wishListPageSize");
	%>
	<table id="wishListTable" class="table table-striped">
		<tr class="listHeading">
			<th>&nbsp;</th>
			<th><bean:message key="wishList.name" bundle="/customer"/></th>
			<th><bean:message key="wishList.created" bundle="/customer"/></th>
			<th><bean:message key="wishList.lastUpdated" bundle="/customer"/></th>
			<th><bean:message key="wishList.numberOfItems" bundle="/customer"/></th>
		</tr>
		<% String startingItem = (String) request.getAttribute("startingItem"); %>
		<logic:iterate name="wishListList" id="customerWishList" indexId="index" offset="<%= startingItem %>" length="<%= wishListPageSize %>">
			<c:set var="numberOfItems" value="0"/>
			<c:if test="${not empty customerWishList.customerWishListProducts}">
				<bean:size id="numberOfItems" name="customerWishList" property="customerWishListProducts"/>
			</c:if>
			<tr id="wishList-${customerWishList.customerWishListID}" class="wishList">
				<%-- link to details--%>
				<td nowrap class="customerWishListID">
					<logic:greaterThan name="customerWishList" property="customerWishListID" value="0">
						<form name="wishListDetailsForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListEditForm.do")%>" title="<bean:message key="wishList.detailsButton" bundle="/customer"/>">
							<input type="hidden" name="customerWishListID" value="${customerWishList.customerWishListID}"/>
							<span id="detailsWishListButton" class="buttonWrap"><input type="submit" class="btn btn-primary btn-sm" value="<bean:message key="wishList.detailsButton" bundle="/customer"/>" /></span>
						</form>
						<form name="wishListDeleteForm" action="<%=response.encodeURL(pageContext.getAttribute("secureURL") + "/WishListDelete.do")%>" method="post" title="<bean:message key="wishList.deleteButton" bundle="/customer"/>" onclick="return confirm('<bean:message key="wishList.confirmDelete" bundle="/customer"/>')">
							<input type="hidden" name="customerWishListID" value="${customerWishList.customerWishListID}"/>
							<span id="deleteWishListButton" class="buttonWrap"><input type="submit" class="btn btn-link btn-sm" value="<bean:message key="wishList.deleteButton" bundle="/customer"/>" /></span>
						</form>
					</logic:greaterThan>
				</td>
				<%-- Name --%>
				<td class="name">
					<c:if test="${!empty customerWishList.name}">
						${customerWishList.name}
					</c:if>
				</td>
				<%-- created --%>
				<td class="created">
					<c:if test="${!empty customerWishList.created}">
						<fmt:parseDate value="${customerWishList.created}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
						<fmt:formatDate value="${parsed}" type="both"/>
					</c:if>
				</td>
				<%-- last updated --%>
				<td class="lastUpdated">
					<c:if test="${!empty customerWishList.lastUpdated}">
						<fmt:parseDate value="${customerWishList.lastUpdated}" pattern="yyyy-MM-dd HH:mm:ss:SSS" var="parsed" parseLocale="en_US"/>
						<fmt:formatDate value="${parsed}" type="both"/>
					</c:if>
				</td>
				<%-- Number of items --%>
				<td class="description">
					${numberOfItems}
				</td>
			</tr>
		</logic:iterate>
	</table>
	<%-- Pagination --%>
	<c:if test="${itemCount > wishListPageSize}">
		<ul id="wishListPagination" class="pager">
			<c:set var="firstRowOfPreviousPage" value="${startingItem - wishListPageSize}"/>
			<c:set var="firstRowOfNextPage" value="${startingItem + wishListPageSize}"/>
			<c:choose>
				<c:when test="${firstRowOfPreviousPage == 0}">
					<li><ssc:link href="${secureURL}/AccountWishLists.do"><bean:message key="productList.pagePrevious" bundle="/product"/></ssc:link></li>
				</c:when>
				<c:when test="${firstRowOfPreviousPage > 0}">
					<li><ssc:link href="${secureURL}/AccountWishLists.do?startingItem=${firstRowOfPreviousPage}"><bean:message key="productList.pagePrevious" bundle="/product"/></ssc:link></li>
				</c:when>
			</c:choose>
			<c:if test="${firstRowOfNextPage < itemCount}">
				<li><ssc:link href="${secureURL}/AccountWishLists.do?startingItem=${firstRowOfNextPage}"><bean:message key="productList.pageNext" bundle="/product"/></ssc:link></li>
			</c:if>
		</div>
	</c:if>
</c:if>
<!-- End ${pageScope.sscCurrentPage} -->
