<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<!-- Start ${pageScope.sscCurrentPage} -->
<div class="page-header">
	<h1 class="name pageTitle"><bean:message key="page.siteMap"/></h1>
</div>
<ul class="siteMapHeaderLinks">
	<logic:match name="settings" property="value(navBarLinks)" value="home">
		<li class="welcomeLink"><ssc:link href="${customerURL}/Welcome.do"><bean:message key="page.welcome"/></ssc:link></li>
	</logic:match>
	<c:if test="${settings.map.catalogMode eq '0'}">
		<logic:match name="settings" property="value(navBarLinks)" value="account">
			<li class="accountLink"><ssc:link href="${secureURL}/Account.do"><span><bean:message key="navBar.account" /></span></ssc:link></li>
		</logic:match>
		<logic:match name="settings" property="value(navBarLinks)" value="cart">
			<li class="cartLink"><ssc:link href="${customerURL}/Cart.do"><span><bean:message key="navBar.cart" /></span></ssc:link></li>
		</logic:match>
		<logic:match name="settings" property="value(navBarLinks)" value="checkout">
			<li class="checkoutLink"><ssc:link href="${secureURL}/Checkout.do"><span><bean:message key="navBar.checkout" /></span></ssc:link></li>
		</logic:match>
	</c:if>
	<logic:match name="settings" property="value(navBarLinks)" value="products">
		<li class="productListLink"><ssc:link href="${customerURL}/ProductList.do"><span><bean:message key="page.productList"/></span></ssc:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="manufacturers">
		<li class="manufacturersLink"><ssc:link href="${customerURL}/Manufacturers.do"><span><bean:message key="page.manufacturers"/></span></ssc:link></li>
	</logic:match>
	<c:if test="${!empty headerCategoriesAndPages}">
		<logic:iterate name="headerCategoriesAndPages" id="category">
			<c:if test="${category.isActive}">
				<c:set var="linkAction" value="Category.do"/>
				<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
				<li class="${category.code}Link"><ssc:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code">
					<span><c:out value="${category.name}" escapeXml="false"/></span>
				</ssc:link></li>
			</c:if>
		</logic:iterate>
	</c:if>
	<logic:match name="settings" property="value(navBarLinks)" value="search">
		<li id="searchLink"><ssc:link href="${customerURL}/SearchForm.do"><span><bean:message key="page.search"/></span></ssc:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="about">
		<li id="aboutLink"><ssc:link href="${customerURL}/aboutPage.do"><span><bean:message key="page.about"/></span></ssc:link></li>
	</logic:match>
	<logic:match name="settings" property="value(navBarLinks)" value="contact">
		<li id="contactLink"><ssc:link href="${customerURL}/Contact.do"><span><bean:message key="page.contact"/></span></ssc:link></li>
	</logic:match>
	<c:if test="${settings.map.catalogMode eq '0'}">
		<logic:match name="settings" property="value(navBarLinks)" value="order">
			<li id="orderFormLink"><ssc:link href="${secureURL}/OrderForm.do"><bean:message key="page.orderForm"/></ssc:link></li>
		</logic:match>
	</c:if>
</ul>

<c:if test="${!empty categoryTree and !categoryTree['empty']}">
	<div class="siteMapCategories">
		<bean:define id="categoryCollection" name="categoryTree" toScope="request" />
		<c:set var="topLevel" value="1" scope="page"/>
		<c:set var="columnOrder" value="0"/>
		<c:set var="numberOfColumns" value="3"/>
		<c:set var="width" value="${100/numberOfColumns}"/>
		<fmt:parseNumber var="iWidth" integerOnly="true" type="number" value="${width}" />
		<bean:size name="categoryCollection" id="numberOfItems"/>
		<c:set var="numberOfColumnItems" value="${numberOfItems/numberOfColumns}"/>
		<c:if test="${!empty categoryCollection}">
			<logic:iterate name="categoryCollection" id="category">
				<c:if test="${category.isActive and category.categoryTreeID eq 1}">
					<c:set var="categoryLinkCode" value="${category.code}"/>
					<%-- Display the category name --%>
					<ul class="siteMapCateogry">
						<li class="${category.code}SiteMapCategoryLink">
							<ssc:link href="${customerURL}/Category.do?code=${categoryLinkCode}" styleClass="siteMapMainCategory"><c:out value="${category.name}" escapeXml="false"/></ssc:link>
							<%-- Display subcategories --%>
							<logic:notEmpty name="category" property="subcategoryCollection">
								<c:if scope="request" var="topLevel" test="${false}"/>
								<c:set var="categoryCollection" value="${category.subcategoryCollection}" scope="request"/>
								<ul class="siteMapSubcategories">
									<ssc:insert page="/WEB-INF/layouts/default/product/siteMapCategories.jsp" flush="false"/>
								</ul>
							</logic:notEmpty>
						</li>
					</ul>
				</c:if>
			</logic:iterate>
		</c:if>
	</div>
</c:if>
		
<c:set var="listOfLinks" value="${settings.map.navBarLinks}"/>
<c:if test="${settings.map.footerLinks ne '[SAMEASHEADER]'}">
	<c:set var="listOfLinks" value="${settings.map.footerLinks}"/>
</c:if>
<ul class="siteMapFooterLinks">
	<c:forTokens var="link" varStatus="current" items="${listOfLinks}" delims=",">
		<c:choose>
			<c:when test="${link eq 'about'}">
				<li class="aboutSiteMapFooterLink"><ssc:link href="${customerURL}/aboutPage.do"><bean:message key="page.about"/></ssc:link></li>
			</c:when>
			<c:when test="${link eq 'contact'}">
				<li class="contactSiteMapFooterLink"><ssc:link href="${customerURL}/Contact.do"><bean:message key="page.contact"/></ssc:link></li>
			</c:when>
			<c:when test="${link eq 'products'}">
				<li class="productsSiteMapFooterLink"><ssc:link href="${customerURL}/ProductList.do"><bean:message key="page.productList"/></ssc:link></li>
			</c:when>
			<c:when test="${link eq 'manufacturers'}">
				<li class="manufacturersSiteMapLink"><ssc:link href="${customerURL}/Manufacturers.do"><bean:message key="page.manufacturers"/></ssc:link></li>
			</c:when>
			<c:when test="${link eq 'search'}">
				<li class="searchSiteMapFooterLink"><ssc:link href="${customerURL}/SearchForm.do"><bean:message key="page.search"/></ssc:link></li>
			</c:when>
			<c:when test="${link eq 'account'}">
				<li class="accountSiteMapFooterLink"><ssc:link href="${secureURL}/Account.do"><bean:message key="navBar.account" /></ssc:link></li>
			</c:when>
			<c:when test="${link eq 'cart'}">
				<li class="cartSiteMapFooterLink"><ssc:link href="${customerURL}/Cart.do"><bean:message key="navBar.cart" /></ssc:link></li>
			</c:when>
			<c:when test="${link eq 'checkout'}">
				<li class="checkoutSiteMapFooterLink"><ssc:link href="${secureURL}/Checkout.do"><bean:message key="navBar.checkout" /></ssc:link></li>
			</c:when>
			<c:when test="${link eq 'order'}">
				<li class="orderSiteMapFooterLink"><ssc:link href="${secureURL}/OrderForm.do"><bean:message key="page.orderForm" /></ssc:link></li>
			</c:when>
		</c:choose>
	</c:forTokens>
	<c:if test="${!empty footerCategoriesAndPages}">
		<logic:iterate name="footerCategoriesAndPages" id="category">
			<c:if test="${category.isActive}">
				<c:set var="linkAction" value="Category.do"/>
				<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
					<li class="${category.code}SiteMapFooterLink"><ssc:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code"><c:out value="${category.name}" escapeXml="false"/></ssc:link></li>
			</c:if>
		</logic:iterate>
	</c:if>
</ul>
<!-- End ${pageScope.sscCurrentPage} -->
