<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start footer.jsp -->
<% java.util.Calendar now = java.util.Calendar.getInstance(); %>
<c:set var="thisYear"><%= now.get(java.util.Calendar.YEAR) %></c:set>
<c:set var="listOfLinks" value="${settings.map.navBarLinks}"/>
<c:if test="${settings.map.footerLinks ne '[SAMEASHEADER]'}">
	<c:set var="listOfLinks" value="${settings.map.footerLinks}"/>
</c:if>
<hr id="bottomSeparator" class="separator" />
<div id="bottomNavigation">
	<c:forTokens var="link" varStatus="current" items="${listOfLinks}" delims=",">
		<c:choose>
			<c:when test="${link eq 'home'}">
				<html:link href="${customerURL}/Welcome.do"><bean:message key="page.welcome"/></html:link>
			</c:when>
			<c:when test="${link eq 'about'}">
				<html:link href="${customerURL}/aboutPage.do"><bean:message key="page.about"/></html:link>
			</c:when>
			<c:when test="${link eq 'contact'}">
				<html:link href="${customerURL}/Contact.do"><bean:message key="page.contact"/></html:link>
			</c:when>
			<c:when test="${link eq 'products'}">
				<html:link href="${customerURL}/ProductList.do"><bean:message key="page.productList"/></html:link>
			</c:when>
			<c:when test="${link eq 'manufacturers'}">
				<html:link href="${customerURL}/Manufacturers.do"><bean:message key="page.manufacturers"/></html:link>
			</c:when>
			<c:when test="${link eq 'search'}">
				<html:link href="${customerURL}/SearchForm.do"><bean:message key="page.search"/></html:link>
			</c:when>
			<c:when test="${link eq 'account'}">
				<html:link href="${secureURL}/Account.do"><bean:message key="navBar.account" /></html:link>
			</c:when>
			<c:when test="${link eq 'cart'}">
				<html:link href="${customerURL}/Cart.do"><bean:message key="navBar.cart" /></html:link>
			</c:when>
			<c:when test="${link eq 'checkout'}">
				<html:link href="${secureURL}/Checkout.do"><bean:message key="navBar.checkout" /></html:link>
			</c:when>
			<c:when test="${link eq 'order'}">
				<html:link href="${secureURL}/OrderForm.do"><bean:message key="page.orderForm" /></html:link>
			</c:when>
		</c:choose>
		<c:if test="${!empty link and !current.last}"> | </c:if>
	</c:forTokens>
	<c:if test="${!empty footerCategoriesAndPages}">
		<logic:iterate name="footerCategoriesAndPages" id="category">
			<c:if test="${category.isActive}">
				<c:set var="linkAction" value="Category.do"/>
				<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
				| <html:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code"><c:out value="${category.name}" escapeXml="false"/></html:link>
			</c:if>
		</logic:iterate>
	</c:if>
</div>
<div id="footer">
	<div class="int">
		<span id="attribution">Copyright &#169; <c:out value="${thisYear}"/> <c:out value=" ${settings.map.storeName} "/> <em>All rights reserved</em>.</span>
		<div id="poweredBy"><a href="http://www.softslate.com">Java Shopping Cart Powered by SoftSlate</a></div>
	</div>
</div>
<c:if test="${requestScope.useCIM and settings.map.authorizeNetCIMHostedMethod eq 'API Only' and (pageTitleKey eq 'page.accountCIMManageProfiles' or pageTitleKey eq 'page.checkoutAddresses' or pageTitleKey eq 'page.checkoutComboShipping' or pageTitleKey eq 'page.checkoutPayment' or pageTitleKey eq 'page.checkoutCombo')}">
	<tiles:insert page="/WEB-INF/layouts/default-xhtml/payment/authorizeNetCIMAPIFooter.jsp"/>
</c:if>
<c:if test="${requestScope.useCIM and settings.map.authorizeNetCIMHostedMethod ne 'API Only' and (pageTitleKey eq 'page.accountCIMManageProfiles' or pageTitleKey eq 'page.checkoutAddresses' or pageTitleKey eq 'page.checkoutComboShipping' or pageTitleKey eq 'page.checkoutPayment' or pageTitleKey eq 'page.checkoutCombo')}">
	<tiles:insert page="/WEB-INF/layouts/default-xhtml/payment/authorizeNetCIMFooter.jsp"/>
</c:if>
<!-- End footer.jsp -->
