<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start breadcrumbs.jsp -->
<div id="crumbs">
	<c:if test="${pageTitleKey ne 'page.welcome' and !(pageTitleKey eq 'page.category' and currentCategory.code eq '_welcome')}">
		<html:link href="${customerURL}/Welcome.do" styleId="crumb-welcome" styleClass="crumb first">
			<bean:message key="page.welcome"/>
		</html:link>
	</c:if>
	<c:choose>
		<c:when test="${pageTitleKey eq 'page.editItem'}">
			&nbsp;&#187;&nbsp;
			<html:link href="${customerURL}/Cart.do" styleId="crumb-cart" styleClass="crumb">
				<bean:message key="page.cart"/>
			</html:link>
			&nbsp;&#187;&nbsp;
			<span id="crumb-editItem" class="crumb last"><bean:message key="page.editItem"/></span>
		</c:when>
		<c:when test="${pageTitleKey eq 'page.manufacturers'}">
			&nbsp;&#187;&nbsp;
			<span id="crumb-manufacturers" class="crumb last"><bean:message key="manufacturer.allManufacturers" bundle="/product"/></span>
		</c:when>
		<c:when test="${pageTitleKey eq 'page.manufacturer'}">
			&nbsp;&#187;&nbsp;
			<html:link href="${customerURL}/Manufacturers.do" styleId="crumb-manufacturers" styleClass="crumb">
				<bean:message key="manufacturer.allManufacturers" bundle="/product"/>
			</html:link>
			&nbsp;&#187;&nbsp;
			<span id="crumb-<c:out value="${manufacturer.code}"/>" class="crumb last"><c:out value="${manufacturer.name}" escapeXml="false"/></span>
		</c:when>
		<c:when test="${pageTitleKey eq 'page.category' and currentCategory.code ne '_welcome'}">
			<logic:iterate id="category" name="currentCategory" property="parentCollection">
				<c:if test="${category.code ne '_welcome'}">
				&nbsp;&#187;&nbsp;
				<c:set var="linkAction" value="Category.do"/>
				<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
				<html:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code" styleId="crumb-${category.code}" styleClass="crumb">
					<c:out value="${category.name}" escapeXml="false"/>
				</html:link>
				</c:if>
			</logic:iterate>
			&nbsp;&#187;&nbsp;
			<span id="crumb-<c:out value="${currentCategory.code}"/>" class="crumb last"><c:out value="${currentCategory.name}" escapeXml="false"/></span>
		</c:when>
		<c:when test="${pageTitleKey eq 'page.product'}">
			<logic:present name="currentCategory">
				<logic:iterate id="category" name="currentCategory" property="parentCollection">
					<c:if test="${category.code ne '_welcome'}">
					&nbsp;&#187;&nbsp;
					<c:set var="linkAction" value="Category.do"/>
					<c:if test="${category.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
					<html:link href="${customerURL}/${linkAction}" paramId="code" paramName="category" paramProperty="code" styleId="crumb-${category.code}" styleClass="crumb">
						<c:out value="${category.name}" escapeXml="false"/>
					</html:link>
					</c:if>
				</logic:iterate>
				<c:if test="${currentCategory.code ne '_welcome'}">
				&nbsp;&#187;&nbsp;
				<c:set var="linkAction" value="Category.do"/>
				<c:if test="${currentCategory.isContentPage}"><c:set var="linkAction" value="Content.do"/></c:if>
				<html:link href="${customerURL}/${linkAction}" paramId="code" paramName="currentCategory" paramProperty="code" styleId="crumb-${currentCategory.code}" styleClass="crumb">
					<c:out value="${currentCategory.name}" escapeXml="false"/>
				</html:link>
				</c:if>
			</logic:present>
			&nbsp;&#187;&nbsp;
			<span id="crumb-<c:out value="${product.code}"/>" class="crumb last"><c:out value="${product.name}" escapeXml="false"/></span>
		</c:when>
		<c:when test="${pageTitleKey ne 'page.welcome' and !(pageTitleKey eq 'page.category' and currentCategory.code eq '_welcome')}">
			&nbsp;&#187;&nbsp;
			<span id="crumb-<c:out value="${pageTitleKey}"/>" class="crumb last"><bean-el:message key="${pageTitleKey}"/></span>
		</c:when>
	</c:choose>
</div>
<!-- End breadcrumbs.jsp -->
