<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<!-- Start manufacturer.jsp -->
<div id="manufacturer-<c:out value="${manufacturer.code}"/>" class="manufacturer facetedSearchBody">
	<%-- Manufacturer header --%>
	<c:if test="${!empty manufacturer.header}">
		<span class="manufacturerHeader">
			<c:out value="${manufacturer.header}" escapeXml="false"/>
		</span>
	</c:if>
	<%-- Manufacturer name --%>
	<h1 class="name pageTitle"><c:out value="${manufacturer.name}" escapeXml="false"/></h1>
	<%-- Manufacturer website URL --%>
	<c:if test="${!empty manufacturer.websiteURL}">
		<p class="links">
			<a href="<c:out value="${manufacturer.websiteURL}"/>"><c:out value="${manufacturer.websiteURL}"/></a>
		</p>
	</c:if>
	<%-- Manufacturer image --%>
	<c:if test="${!empty manufacturer.largeImage}">
		<div class="floater image">
			<c:choose>
				<c:when test="${!empty manufacturer.websiteURL}">
					<a href="<c:out value="${manufacturer.websiteURL}"/>">
					<img src="<c:out value="${manufacturer.largeImage}"/>"<c:if test="${!empty manufacturer.name}"> title="<c:out value="${manufacturer.name}"/>" alt="<c:out value="${manufacturer.name}"/>"</c:if>/>
					</a>
				</c:when>
				<c:otherwise>
					<img src="<c:out value="${manufacturer.largeImage}"/>"<c:if test="${!empty manufacturer.name}"> title="<c:out value="${manufacturer.name}"/>" alt="<c:out value="${manufacturer.name}"/>"</c:if>/>
				</c:otherwise>
			</c:choose>
		</div>
	</c:if>
	<%-- Manufacturer description --%>
	<c:if test="${!empty manufacturer.description}">
		<p class="description"><c:out value="${manufacturer.description}" escapeXml="false"/></p>
	</c:if>
	<%--Products--%>
	<c:choose>
		<c:when test="${itemCount == 0 and param.ajax eq 'true'}">
			<div class="productListItemCount">
				<c:out value="${itemCount}"/>&nbsp;<bean:message key="manufacturer.itemsPhrase" bundle="/product" /> <span class="genericInstructions"><c:out value="${manufacturer.name}" escapeXml="false"/></span>
			</div>
		</c:when>
		<c:when test="${itemCount > 0}">
			<hr class="clearRightSeparator"/>
			<%--Pagination--%>
			<c:set var="topPagination" value="true" scope="request"/>
			<tiles:insert attribute="pagination"/>
			<%--Item count--%>
			<div class="productListItemCount">
				<c:out value="${itemCount}"/>&nbsp;<bean:message key="manufacturer.itemsPhrase" bundle="/product" /> <span class="genericInstructions"><c:out value="${manufacturer.name}" escapeXml="false"/></span>
			</div>
			<%--Sort By links--%>
			<c:if test="${requestScope.advancedSearch eq 'true' and settings.map.advancedSearchPriceSort eq '1'}">
				<tiles:insert attribute="sortByLinks"/>
			</c:if>
			<%--Facets listed--%>
			<c:if test="${requestScope.advancedSearch eq 'true' and !empty searchList.facets}">
				<tiles:insert page="/WEB-INF/layouts/default/product/facetedSearchSelections.jsp"/>
			</c:if>
			<hr class="productListSeparator"/>
			<%--Products themselves--%>
			<c:choose>
				<c:when test="${settings.map.productListDisplayFormat eq 'rows'}">
					<tiles:insert attribute="productListRows"/>
				</c:when>
				<c:otherwise>
					<tiles:insert attribute="productList"/>
				</c:otherwise>
			</c:choose>
			<%--Pagination--%>
			<c:set var="topPagination" value="false" scope="request"/>
			<tiles:insert attribute="pagination"/>
		</c:when>
	</c:choose>
	<%-- Manufacturer footer --%>
	<c:if test="${!empty manufacturer.footer}">
		<span class="manufacturerFooter">
			<c:out value="${manufacturer.footer}" escapeXml="false"/>
		</span>
	</c:if>
</div>
<!-- End manufacturer.jsp -->
