<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.BusinessObjectFactory,com.softslate.commerce.businessobjects.customer.CustomerWishList,com.softslate.commerce.businessobjects.customer.CustomerWishListProcessor" %>
<!-- Start wishList.jsp -->
<bean:size id="numberOfWishLists" name="customerWishLists"/>
<%
	BusinessObjectFactory bof = (BusinessObjectFactory) request.getAttribute("businessObjectFactory");
	CustomerWishListProcessor customerWishListProcessor = (CustomerWishListProcessor) bof.createObject(
			"customerWishListProcessorImplementer");
%>
<div id="wishList" class="wishList">
	<%-- Title and Links to more --%>
	<h1 class="wishListTitle">
		<c:choose>
			<c:when test="${!empty customerWishList.customer.firstName}">
				<bean:message key="wishList.titlePhrase" bundle="/customer" /> <c:out value="${customerWishList.customer.firstName}"/>
				<c:if test="${!empty customerWishList.customer.lastName}"> <c:out value="${customerWishList.customer.lastName}"/></c:if>
			</c:when>
			<c:otherwise>
				<bean:message key="wishList.yourFriendsWishList" bundle="/customer" />
			</c:otherwise>
		</c:choose>
	</h1>
	<%-- More Wish Lists --%>
	<c:if test="${numberOfWishLists gt 1}">
		<bean:message key="wishList.changeWishListLabel" bundle="/customer" />
		<form name="wishListChooseForm" class="wishListChooseForm" action="<%=response.encodeURL(pageContext.getAttribute("customerURL") + "/WishList.do")%>">
			<select name="wishID">
				<logic:iterate name="customerWishLists" id="cwl" indexId="i">
					<%
						CustomerWishList customerWishList = (CustomerWishList) pageContext.getAttribute("cwl");
						String check = customerWishListProcessor.computeCheck(customerWishList);
						pageContext.setAttribute("check", check);
					%>
					<option value="<c:out value="${cwl.customerWishListID}_${check}"/>" <c:if test="${cwl.customerWishListID == customerWishList.customerWishListID}">selected="selected"</c:if>><c:out value="${cwl.name}"/></option>
				</logic:iterate>
			</select>
			<input type="submit" name="submit" class="button" value="<bean:message key="wishList.changeWishListButton" bundle="/customer"/>"/>
		</form>
	</c:if>
	<hr/>
	<%-- Wish List Name --%>
	<h1 class="name"><c:out value="${customerWishList.name}" escapeXml="true"/></h1>
	<%-- Wish List Description --%>
	<c:if test="${!empty customerWishList.description}">
		<p class="description"><c:out value="${customerWishList.description}" escapeXml="true"/></p>
	</c:if>
	<%--Products--%>
	<%
	CustomerWishList customerWishList = (CustomerWishList) request.getAttribute("customerWishList");
	String check2 = customerWishListProcessor.computeCheck(customerWishList);
	pageContext.setAttribute("check2", check2);
	%>
	<c:set var="linkBase" scope="request" value="/WishList.do?wishID=${customerWishList.customerWishListID}_${check2}&"/>
	
	<c:set var="itemCount" value="${customerWishList.itemCount}" scope="request"/>
	<c:set var="itemsPerPage" value="${customerWishList.itemsPerPage}" scope="request"/>
	<c:set var="firstRow" value="${customerWishList.firstRow}" scope="request"/>
	<c:set var="listCollection" value="${customerWishList.productListCollection}" scope="request"/>
	
	<c:if test="${empty itemCount or itemCount lt 1}">
		<div id="wishListEmpty"><bean:message key="wishList.wishListEmpty" bundle="/customer" /></div>
	</c:if>
		
	<c:if test="${itemCount > 0}">
		<hr class="clearRightSeparator"/>
		<%--Pagination--%>
		<c:set var="topPagination" value="true" scope="request"/>
		<tiles:insert attribute="pagination"/>
		<%--Item count--%>
		<div class="productListItemCount">
			<c:out value="${itemCount}"/> <bean:message key="wishList.itemsPhrase" bundle="/customer" /> <span class="genericInstructions"><c:out value="${customerWishList.name}" escapeXml="false"/></span>
		</div>
		<hr class="productListSeparator"/>
		<%--Products themselves--%>
		<c:choose>
			<c:when test="${settings.map.productListDisplayFormat eq 'rows'}">
				<tiles:insert attribute="productListRows"/>
			</c:when>
			<c:otherwise>
				<tiles:insert attribute="productList"/>
			</c:otherwise>
		</c:choose>
		<%--Pagination--%>
		<c:set var="topPagination" value="false" scope="request"/>
		<tiles:insert attribute="pagination"/>
	</c:if>
</div>
<!-- End wishList.jsp -->
