package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.beanutils.PropertyUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;
import com.softslate.commerce.businessobjects.product.DiscountRangeProcessor;
import com.softslate.commerce.customer.core.BaseAction;
import com.softslate.commerce.customer.product.ProductInitializer;

/**
 * Struts action class that corresponds to requests to
 * "/administrator/DiscountRangeAdd.do". Processes a request to add a record to the
 * system.
 * 
 * @author David Tobey
 * 
 */
public class DiscountRangeAddAction extends BaseAction {

	static Log log = LogFactory.getLog(DiscountRangeAddAction.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form,
			HttpServletRequest request, HttpServletResponse response)
			throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");

		// Add the record
		BaseAdministratorForm baseForm = (BaseAdministratorForm) form;

		DiscountRangeProcessor processor = (DiscountRangeProcessor) baseForm
				.getBusinessObjectFactory().createObject(
						"discountRangeProcessorImplementer");
		processor.addDiscountRange(PropertyUtils.describe(form));

		// Reload the store discounts in the application scope
		ProductInitializer pi = new ProductInitializer();
		pi.setServlet(servlet);
		pi.initializeStoreDiscounts(baseForm.getBusinessObjectFactory());

		// Set the success message
		baseForm.getMessages().add(ActionMessages.GLOBAL_MESSAGE,
				new ActionMessage("messages.recordAdded"));
		saveMessages(baseForm.getRequest(), baseForm.getMessages());
		
		// If successful, signal the form to be reinstantiated.
		request.setAttribute("reset", "true");

		return mapping.findForward("success");
	}
}
