package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/DiscountRangeAddForm.do",
 * "/administrator/DiscountRangeEditForm.do",
 * "/administrator/DiscountRangeAdd.do", and
 * "/administrator/DiscountRangeEdit.do". Provides properties corresponding to
 * the fields for a single discount range record.
 * 
 * @author David Tobey
 * 
 */
public class DiscountRangeAddEditForm extends BaseAdministratorForm {

	private static final long serialVersionUID = 4402191276530023234L;

	static Log log = LogFactory.getLog(DiscountRangeAddEditForm.class);

	private String discountRangeID = null;

	private String productID = null;

	private String skuID = null;

	private String discountID = null;

	private String parentName = null;

	private String rewardType = "[percentage]";

	private String rewardAmount = null;

	private String rewardPercentage = null;

	private String rewardItemsForFree = null;

	private String reward = null;

	private String floor = null;

	private String ceiling = "0";

	private String isActive = "true";

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getCeiling() {
		return ceiling;
	}

	public void setCeiling(String ceiling) {
		this.ceiling = ceiling;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getSkuID() {
		return skuID;
	}

	public void setSkuID(String skuID) {
		this.skuID = skuID;
	}

	public String getDiscountID() {
		return discountID;
	}

	public void setDiscountID(String discountID) {
		this.discountID = discountID;
	}

	public String getDiscountRangeID() {
		return discountRangeID;
	}

	public void setDiscountRangeID(String discountRangeID) {
		this.discountRangeID = discountRangeID;
	}

	public String getFloor() {
		return floor;
	}

	public void setFloor(String floor) {
		this.floor = floor;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public String getReward() {
		return reward;
	}

	public void setReward(String reward) {
		this.reward = reward;
	}

	public String getRewardType() {
		return rewardType;
	}

	public void setRewardType(String rewardType) {
		this.rewardType = rewardType;
	}

	public String getRewardAmount() {
		return rewardAmount;
	}

	public void setRewardAmount(String rewardAmount) {
		this.rewardAmount = rewardAmount;
	}

	public String getRewardPercentage() {
		return rewardPercentage;
	}

	public void setRewardPercentage(String rewardPercentage) {
		this.rewardPercentage = rewardPercentage;
	}

	public String getRewardItemsForFree() {
		return rewardItemsForFree;
	}

	public void setRewardItemsForFree(String rewardItemsForFree) {
		this.rewardItemsForFree = rewardItemsForFree;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getRewardType() == null || getRewardType().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Reward Option"));
		} else if (getReward() == null || getReward().equals("")) {
			if (getRewardType().equals("[amount]")) {
				if (getRewardAmount() == null || getRewardAmount().equals("")) {
					getErrors().add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Reward Amount"));
				} else {
					setReward(getRewardAmount());
				}
			} else if (getRewardType().equals("[percentage]")) {
				if (getRewardPercentage() == null
						|| getRewardPercentage().equals("")) {
					getErrors().add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Reward Percentage"));
				} else {
					setReward(getRewardPercentage());
				}
			} else if (getRewardType().equals("[itemsForFree]")) {
				if (getRewardItemsForFree() == null
						|| getRewardItemsForFree().equals("")) {
					getErrors().add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Number of items for free"));
				} else {
					setReward(getRewardItemsForFree());
				}
			}
		}
		return getErrors();
	}

	public void splitValues() {
		if (getRewardType() == null) {
		} else if (getRewardType().equals("[amount]")) {
			setRewardAmount(getReward());
		} else if (getRewardType().equals("[percentage]")) {
			setRewardPercentage(getReward());
		} else if (getRewardType().equals("[itemsForFree]")) {
			setRewardItemsForFree(getReward());
		}

	}
}
