package com.softslate.commerce.customer.customer;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * 
 * @author Jason McWilliams
 * 
 */
public class WishListForm extends BaseForm {

	private static final long serialVersionUID = 6640148029493929458L;

	static Log log = LogFactory.getLog(WishListForm.class);

	private String customerWishListID = null;

	public String getCustomerWishListID() {
		return customerWishListID;
	}

	public void setCustomerWishListID(String customerWishListID) {
		this.customerWishListID = customerWishListID;
	}

	private String check = null;

	public String getCheck() {
		return check;
	}

	public void setCheck(String check) {
		this.check = check;
	}

	private String customerWishListProductID = null;

	public String getCustomerWishListProductID() {
		return customerWishListProductID;
	}

	public void setCustomerWishListProductID(String customerWishListProductID) {
		this.customerWishListProductID = customerWishListProductID;
	}

	private String productCode = null;

	public String getProductCode() {
		return productCode;
	}

	public void setProductCode(String productCode) {
		this.productCode = productCode;
	}

	// Short versions for smaller links
	private String wishID = null;

	public String getWishID() {
		return wishID;
	}

	public void setWishID(String wishID) {
		this.wishID = wishID;
	}

	// Username in case someone wants that
	private String userName = null;

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	private String firstRow = "1";

	public String getFirstRow() {
		return firstRow;
	}

	public void setFirstRow(String firstRow) {
		this.firstRow = firstRow;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isInfoEnabled())
			log.info("Starting validation.");
		initializeProperties(mapping, request);

		// Set the check and wishID props
		if (getWishID() != null && getWishID().length() > 0) {
			String[] params = getWishID().split("_");
			setWishID(params[0]);
			if (params.length > 1) {
				setCheck(params[1]);
			}
		}

		// Set shortcut
		if (getWishID() != null && getWishID().length() > 0) {
			setCustomerWishListID(getWishID());
		}

		// Ignore the ID if we have a username
		if (getCustomerWishListID() == null
				|| getCustomerWishListID().length() == 0) {
			String message = getMessage("core", "errors.wishListNotFound", null);
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.detail", message));
		} else {
			try {
				Integer.parseInt(getCustomerWishListID());
			} catch (NumberFormatException nfe) {
				String message = getMessage("core", "errors.wishListNotFound",
						null);
				getErrors().add(ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.detail", message));
			}
		}

		if (log.isDebugEnabled())
			log.debug("Finished validation.");
		if (log.isInfoEnabled() && !getErrors().isEmpty())
			log.info("Validation error(s): " + getErrors().toString());
		return getErrors();
	}
}
