package com.softslate.commerce.daos.administrator;

import com.softslate.commerce.businessobjects.administrator.Role;
import com.softslate.commerce.daos.core.DAOInterface;
import com.softslate.commerce.daos.core.DataAccessException;

/**
 * Interface for a DAO to manage the <code>sscRole</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface RoleDAO extends DAOInterface {
    abstract Role getRole();

    abstract void setRole(Role role);

    abstract void loadRoleFromID() throws Exception;

    abstract void loadRoleFromCode() throws DataAccessException;

    abstract void insertRole() throws Exception;

    abstract void insertRole(boolean commit) throws Exception;

    abstract void updateRole() throws Exception;

    abstract void updateRole(boolean commit) throws Exception;

    abstract void deleteRole() throws Exception;

    abstract void deleteRole(boolean commit) throws Exception;

}
