package com.softslate.commerce.daos.order;

import com.softslate.commerce.businessobjects.order.OrderSetting;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscOrderSetting</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface OrderSettingDAO extends DAOInterface {
	abstract OrderSetting getOrderSetting();

	abstract void setOrderSetting(OrderSetting orderSetting);

	abstract void loadOrderSettingFromID() throws Exception;

	abstract void insertOrderSetting() throws Exception;

	abstract void insertOrderSetting(boolean commit) throws Exception;

	abstract void updateOrderSetting() throws Exception;

	abstract void updateOrderSetting(boolean commit) throws Exception;

	abstract void deleteOrderSetting() throws Exception;

	abstract void deleteOrderSetting(boolean commit) throws Exception;
}
