CREATE TABLE sscAdministrator (
  administratorID INT IDENTITY NOT NULL,
  userName VARCHAR(100) NOT NULL DEFAULT '',
  password VARCHAR(255) NOT NULL DEFAULT '',
  lastLogin VARCHAR(100) DEFAULT NULL,
  isApiUser BIT NOT NULL DEFAULT '0',
  passwordExpires VARCHAR(255),
  numberOfFailedLogins INT,
  lockedOutUntil VARCHAR(255),
  previousPasswords TEXT,
  allowedIPAddresses TEXT,
  isActive BIT NOT NULL DEFAULT '1',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.administrator.AdministratorBean',
  CONSTRAINT PK_administratorID PRIMARY KEY CLUSTERED 
  ( administratorID ) ON [PRIMARY],
  CONSTRAINT AK_administrator_userName UNIQUE NONCLUSTERED 
  ( userName ) ON [PRIMARY]
);

CREATE TABLE sscRole (
  roleID INT IDENTITY NOT NULL,
  code VARCHAR(100) NOT NULL DEFAULT '',
  name VARCHAR(255) DEFAULT NULL,
  description VARCHAR(255) DEFAULT NULL,
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.administrator.RoleBean',
  CONSTRAINT PK_roleID PRIMARY KEY CLUSTERED 
  ( roleID ) ON [PRIMARY],
  CONSTRAINT AK_roleCode UNIQUE NONCLUSTERED 
  ( code ) ON [PRIMARY]
);

CREATE INDEX IDX_sscRole_name ON sscRole (name);
CREATE INDEX IDX_sscRole_description ON sscRole (description);

CREATE TABLE sscAdministratorRole (
  administratorRoleID INT IDENTITY NOT NULL,
  administratorID INT NOT NULL DEFAULT '0',
  roleID INT NOT NULL DEFAULT '0',
  class VARCHAR(255) DEFAULT 'com.softslate.commerce.businessobjects.administrator.AdministratorRoleBean',
  CONSTRAINT PK_administratorRoleID PRIMARY KEY CLUSTERED 
  ( administratorRoleID ) ON [PRIMARY],
  CONSTRAINT FK_administrator_administratorRole FOREIGN KEY (
	administratorID
  ) REFERENCES sscAdministrator (
	administratorID
  ) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT FK_role_administratorRole FOREIGN KEY (
	roleID
  ) REFERENCES sscRole (
	roleID
  ) ON DELETE CASCADE ON UPDATE CASCADE
);
