UPDATE sscSetting SET smallValue='3.2.7' WHERE code='dataObjectsVersion';

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('allowAddressBook','Allow Address Book for Customers','If true, customers will be able to create multiple delivery addresses in their account and choose any one of them when placing an order. (Requires JavaScript to be enabled.)','CUSTOMERACCOUNT','booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('maxCustomerAddressBook','Max Addresses per Customer','The maximum number of addresses a customer can have in the address book.','CUSTOMERACCOUNT','integerValue',10,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('commonLayout','Common Layout','The layout directory used for any JSP templates that do not exist in the current layout for the user. (Layout names correspond to directory names under the /WEB-INF/layouts directory.) If necessary, set this to a directory used to store templates that are common to mutiple other layouts, to prevent duplication of customizations.','ADVANCEDDISPLAY','smallValue',NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetCIMLoginID', 'Authorize.net Login ID', 'authorizeNetCIM', 'smallValue', NULL, '', NULL, NULL, 'The user name or login id used to log into the Authorize.net account.');

INSERT INTO sscSetting (code, name, type, valuetype, integervalue, smallvalue, mediumvalue, textvalue, description) 
VALUES ('authorizeNetCIMTxKey', 'Authorize.net Transaction Key', 'authorizeNetCIM', 'smallValue', NULL, '', NULL, NULL, 'The Authorize.net account transaction key (obtained from the merchant interface of your Authorize.net account).');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMTestRequest','Test Mode?','If true, transactions will be sent to the Authorize.net CIM test URLs. Set to false to run live transactions.','authorizeNetCIM', 'booleanValue', 1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMTxType','Transaction Type','The type of transaction for Authorize.net CIM to perform with each order.','authorizeNetCIM', 'smallValue', NULL,'AUTH_ONLY',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMHostedMethod', 'The Hosted CIM Method', 'Which method should the system use for hosted CIM?  The options are Embedded IFrame, Popup IFrame, and Redirect.', 'authorizeNetCIM', 'smallValue', NULL, 'Embedded IFrame', NULL, NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMHeadingBgColor','CIM Heading BG Color','Enter a hex color string such as #e0e0e0. The background color of the section headers changes from gray to a custom color.','authorizeNetCIM', 'smallValue', NULL,'#e0e0e0',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMReturnUrlText','CIM Return Text','Enter the text to display on the button that returns the customer to your website. The value can be any text up to 200 characters. If you do not pass this parameter, the default button text is Continue. Only used if not using iframe method.','authorizeNetCIM', 'mediumValue', NULL,NULL,'Continue...',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMFillBillingAddress','Fill Order with CIM Billing Address','If true, after a CIM payment method is chosen, the system will fill in the order billing address information with the billing address information provided to CIM during checkout.  This would normally be yes if you are asking for limited billing information during checkout and you are using CIM for payments.','authorizeNetCIM', 'booleanValue', 1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMAllowDeletePayments','Allow Customers to Delete Payment Methods','If true, customers are allowed to delete payment methods when using CIM.','authorizeNetCIM', 'booleanValue', 1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMManageProfiles','Enable CIM Profile Management in Customer Account','If true, customers will be allowed to manage their Authorize.net CIM profile by clicking a link in the customer account area.','authorizeNetCIM', 'booleanValue', 1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMFullManageWindow','Use CIM Full Manage Window','If using the IFrame Popup or Redirect method, this will allow the user to add/edit/delete payment methods and shipping methods directly through CIM.   SoftSlate does not currently use the shipping methods, so this may be confusing to the user.  The default is to only allow users to add payment methods or edit payment methods individually.','authorizeNetCIM', 'booleanValue', 0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMInvoiceNum','Invoice Number','The invoice number sent to Authorize.net CIM.','authorizeNetCIM', 'smallValue', NULL,'%%ORDER_ID%%',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMPONumber','PO Number','The purchase order number sent to Authorize.net CIM.','authorizeNetCIM', 'mediumValue', NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMDescription','Transaction Description','A description of the transaction sent to Authorize.net.','authorizeNetCIM', 'textValue', NULL,NULL,NULL,'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMEmailCustomer','Email Customer?','If true, Authorize.net CIM will email the customer confirmation of the payment.','authorizeNetCIM', 'booleanValue', 0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMEmailMerchant','Merchant Email Address','Email address to which the merchant copy of the customer confirmation email should be sent.','authorizeNetCIM', 'mediumValue', NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMIncludeLineItems','Include Line Items in Emails','If true, Authorize.net CIM will include totals and line items in their emails to customers.','authorizeNetCIM', 'booleanValue', 0 ,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMValidationMode','Validation Mode','The validation mode that should be used when Authorize.net CIM adds a new payment profile (none,testMode,liveMode). testMode - performs field validation only. All fields are validated. However, fields with unrestricted field definitions (such as telephone number) do not generate errors. If you select testMode, a $1.00 test transaction is submitted using the Luhn MOD 10 algorithm to verify that the credit card number is in a valid format. This test transaction does not appear on the customers credit card statement, but it will generate and send a transaction receipt email to the merchant. liveMode - generates a transaction to the processor in the amount of $0.01 or $0.00. If successful, the transaction is immediately voided. Visa authorization transactions are changing from $0.01 to $0.00 for all processors. All other credit card types use $0.01. Consult your Merchant Account Provider before changing to Zero Dollar Authorizations for Visa because you may be subject to fees. For Visa transactions using $0.00, the billTo address and billTo zip fields are required. none - When this value is submitted, no additional validation is performed.','authorizeNetCIM', 'smallValue', NULL,'none',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMeCheck','eCheck Enabled?','Are eCheck payment enabled in your authorize.net CIM account?','authorizeNetCIM', 'booleanValue', 0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMDupeTxTimeout','Duplicate Transaction Timeout','Indicates in seconds the window of time after a transaction is submitted during which the payment gateway will check for a duplicate transaction.','authorizeNetCIM', 'integerValue', 60,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMApiTestURL','CIM API Test URL','The URL to the test Authorize.net CIM XML API.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://apitest.authorize.net/xml/v1/request.api',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMApiLiveURL','CIM API Live URL','The URL to the live Authorize.net CIM XML API.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://api.authorize.net/xml/v1/request.api',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMTestWSDL','CIM WSDL Test URL','The URL to the test Authorize.net CIM WSDL.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://apitest.authorize.net/soap/v1/Service.asmx?wsdl',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMWSDL','CIM WSDL URL','The URL to the live Authorize.net CIM WSDL.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://api.authorize.net/soap/v1/Service.asmx?wsdl',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMServiceURL','CIM Service URL','The URL to the Authorize.net CIM Service.','authorizeNetCIM', 'mediumValue', NULL,NULL,'https://api.authorize.net/soap/v1/',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMIFrameCommunicatorUrl','IFrame Communicator URL','Enter the URL to a page that can communicate with the merchants main page using javascript. This enables you to dynamically change the size of the popup so there are no scroll bars. This parameter is required only for iframe or lightbox applications. The application will append the Customer Secure URL to this setting.','authorizeNetCIM', 'mediumValue', NULL,NULL,'/js/cim/IframeCommunicator.html',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCIMskipZIndexCheck','Skip Z Index Check','Set this to true if you are using iframe and you do not have absolutely positioned elements on your page that can obstruct the view of the popup. This can speed up the processing of the page slightly.','authorizeNetCIM', 'booleanValue', 0,NULL,NULL,NULL);
