<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsImageVerification.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<html:form action="/SettingsProcessImageVerification" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="IMAGEVERIFICATION">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsImageVerificationEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="notes">
	<h3 class="administratorSubhead">Tips</h3>
	<ul class="notesList">
		<li class="tip">
			<p>Image verification is a useful tool for ensuring that the users hitting the application are human beings, and not automated scripts.
			From a usability perspective, however, they do pose a challenge for users in that the images are (deliberately) hard to decipher and may frustrate users.
			Unless you are experiencing or anticipate problems with automated scripts hitting the site, you may want to consider leaving these options off.</p>
			<p>The "Use Image Verification with Administrator Logins" setting is an exception in that it provides a higher level of security for your admin area, and does not interfere with your customer's experience.
		</li>
	</ul>
</div>
<!-- End settingsImageVerification.jsp -->
