<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>

<!-- Start settingsStoreContactInfo.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	Use these settings to define your store's address and other contact information, which will appear to customers on their invoices and elsewhere.
</div>

<br/>

<html:form action="/SettingsProcessStoreContactInfo" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<logic:match name="settingRow" property="type" value="STOREINFO">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<c:choose>
					<c:when test="${settingRow.code eq 'storeStateOrProvince'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><c:out value="${settingRow.name}"/>:</td>
							<td class="value">
								<select name="storeStateOrProvince" id="storeStateOrProvince" class="selectboxWide">
									<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
									<option value="">-------------</option>
									<logic:iterate name="states" id="state">
										<option value="<c:out value="${state.code}"/>" <c:if test="${state.code eq settingRow.smallValue}">selected="selected"</c:if>><c:out value="${state.name}"/></option>
									</logic:iterate>
								</select>
							</td>
						</tr>
					</c:when>
					<c:when test="${settingRow.code eq 'storeCountry'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><c:out value="${settingRow.name}"/>:</td>
							<td class="value">
								<select name="storeCountry" id="storeCountry" class="selectboxWide">
									<option value=""><bean:message key="orderForm.pleaseSelect" bundle="/order"/></option>
									<option value="">-------------</option>
									<logic:iterate name="countries" id="country">
										<option value="<c:out value="${country.code}"/>" <c:if test="${country.code eq settingRow.smallValue}">selected="selected"</c:if>><c:out value="${country.name}"/></option>
									</logic:iterate>
								</select>
							</td>
						</tr>								
					</c:when>
					<c:otherwise>
						<c:set var="setting" value="${settingRow}" scope="request"/>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsStoreContactInfoEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>


<div class="notes">
	<h3 class="administratorSubhead">Tips</h3>
	<ul class="notesList">
		<li class="tip">
			Most of these fields may be left blank, if you don't wish to display your contact information on invoices and elsewhere in the store.
			However, the "Store Email Address" setting is required for the system to produce outgoing emails such as the order confirmation email
			and the lost password emails. In addition, the "Store Name", if left blank, will cause formatting problems in the header
			unless a logo has been uploaded to replace it.
		</li>
	</ul>
</div>
<!-- End settingsStoreContactInfo.jsp -->
