<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>
<c:set var="thisClass" scope="request" value="${altRowClass}"/>

<div class="instructions">
	<p>Use these settings to define how your store connects to the CRE Secure to process credit cards and manage user payment information.</p>
</div>

<c:if test="${settings.map.useCheckoutCombo eq '1'}">
	<div class="warning">
		<p>Because CRE Secure must submit payment information directly to CRE Secure you must set the 
			'Use Combined Address, Shipping and Payment Screen in Checkout?' setting to "no"
			on the <a href="SettingsCheckoutFlow.do">Orders -&gt; Checkout Flow</a> screen.</p>
	</div>
</c:if>
<br/>
<html:form action="/SettingsProcessCRESecure" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:if test="${settingRow.type eq 'CRESECURE'}">
				<c:choose>
					<c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
					<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
				</c:choose>
				<bean:define id="setting" name="settingRow" toScope="request"/>
				<c:choose>
					<c:when test="${setting.code eq 'creSecureFormType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="creSecureFormType">
									<option value="0" <logic:match name="setting" property="smallValue" value="0">selected="selected"</logic:match>>Short</option>
									<option value="1" <logic:match name="setting" property="smallValue" value="1">selected="selected"</logic:match>>Tall</option>
									<option value="4" <logic:match name="setting" property="smallValue" value="4">selected="selected"</logic:match>>iPhone</option>
									<option value="5" <logic:match name="setting" property="smallValue" value="5">selected="selected"</logic:match>>Mobile</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'creSecureTransType'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="creSecureTransType">
									<option value="auth_only" <logic:match name="setting" property="smallValue" value="auth_only">selected="selected"</logic:match>>Auth Only</option>
									<option value="auth_capture" <logic:match name="setting" property="smallValue" value="auth_capture">selected="selected"</logic:match>>Auth Capture</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'creSecureRequired'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="creSecureRequired">
									<option value="all" <logic:match name="setting" property="smallValue" value="all">selected="selected"</logic:match>>All</option>
									<option value="minimum" <logic:match name="setting" property="smallValue" value="minimum">selected="selected"</logic:match>>Minimum</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'creSecureCollectAddress'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="creSecureCollectAddress">
									<option value="0" <logic:match name="setting" property="smallValue" value="0">selected="selected"</logic:match>>Do Not Display</option>
									<option value="1" <logic:match name="setting" property="smallValue" value="1">selected="selected"</logic:match>>Display Address</option>
									<option value="2" <logic:match name="setting" property="smallValue" value="2">selected="selected"</logic:match>>Display Address and Country</option>
									
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'creSecureTokenize'}">
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><bean:write name="setting" property="name"/>:</td>
							<td class="value">
								<select name="creSecureTokenize">
									<option value="" <logic:match name="setting" property="smallValue" value="">selected="selected"</logic:match>>Do Not Store a Token</option>
									<option value="store_authorize" <logic:match name="setting" property="smallValue" value="store_authorize">selected="selected"</logic:match>>Store and Authorize</option>
									<option value="store_only" <logic:match name="setting" property="smallValue" value="store_only">selected="selected"</logic:match>>Store Only</option>
								</select>
								<br/>
								<bean:write name="setting" property="description"/>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<jsp:include page="/WEB-INF/templates/administrator/default/core/setting.jsp"/>	
					</c:otherwise>
				</c:choose>
			</c:if>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,paymentsEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>


