<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<bean:define id="administratorURL" name="settings" property="value(administratorURL)" type="java.lang.String"/>
<!-- Start categoryExtra.jsp -->
<c:if test="${editPermission eq 'true' and (mainForm.parentIDField ne 'productID' or empty requestScope.product)}">
	<c:if test="${!empty categories}">
		<bean:size id="categoriesSize" name="categories"/>
	</c:if>
	<c:set var="numberOfColumns" value="3"/>
	<div class="controlScreenExtra">
		<h2 class="administratorHeader"><c:choose><c:when test="${mainForm.workWithCategories eq 'Content Pages'}">Content Page</c:when><c:otherwise>Category</c:otherwise></c:choose> - Quick Add</h2>
		<form name="categoryQuickAdd" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/CategoryQuickAdd.do">
			<table>
				<tr>
					<td class="extraField">
						<label for="quickAddCode">Code:</label><br/>
						<html:text maxlength="100" name="categoryAddEditForm" property="code" styleId="quickAddCode"/>
					</td>
					<td class="extraField">
						<label for="quickAddName">Name:</label><br/>
						<html:text maxlength="255" name="categoryAddEditForm" property="name" styleId="quickAddName"/>
					</td>
					<c:if test="${!empty categoriesSize}">
						<c:set var="numberOfColumns" value="4"/>
						<td class="extraField">
							<label for="quickAddParentCategory">Parent:</label><br/>
							<c:choose>
								<c:when test="${!empty categoriesSize and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
									<html:select styleId="quickAddParentCategory" name="categoryAddEditForm" property="parentCategory">
										<logic:empty name="categoryAddEditForm" property="parentCategory">
											<option value="0" selected="selected">
												[No Parent]
											</option>
										</logic:empty>
										<logic:notEmpty name="categoryAddEditForm" property="parentCategory">
											<option value="0">
												[No Parent]
											</option>
										</logic:notEmpty>
										<html:options collection="categories" property="categoryID" labelProperty="name" />
									</html:select>
								</c:when>
								<c:otherwise>
									<html:text maxlength="16" name="categoryAddEditForm" property="parentCategory" />
								</c:otherwise>
							</c:choose>
						</td>
					</c:if>
					<c:choose>
						<c:when test="${mainForm.workWithCategories eq 'Content Pages'}">
							<html:hidden name="categoryAddEditForm" property="isContentPage" value="true" />
							<html:hidden name="categoryAddEditForm" property="categoryTreeID" value="0" />
						</c:when>
						<c:otherwise>
							<html:hidden name="categoryAddEditForm" property="isContentPage" value="false" />
							<td class="extraField">
								<label>On Category Tree?</label><br/>
								<span style="white-space: nowrap">
									<html:radio styleClass="radiobtn" styleId="quickAddCategoryTreeYes" name="categoryAddEditForm" property="categoryTreeID" value="1" />
									<label for="quickAddCategoryTreeYes">yes</label>
									<html:radio styleClass="radiobtn" styleId="quickAddCategoryTreeNo" name="categoryAddEditForm" property="categoryTreeID" value="0" /> 
									<label for="quickAddCategoryTreeNo">no</label>
								</span>
							</td>
						</c:otherwise>
					</c:choose>
				</tr>
				<tr>
					<td colspan="<c:out value="${numberOfColumns}"/>" class="extraButton">
						<html:hidden name="mainForm" property="workWithCategories" />
						<input type="submit" class="button" name="addSubmit" value="<bean:message key="administrator.add" bundle="/administrator/administrator"/>" />
					</td>
				</tr>
			</table>
		</form>
		<div class="extraFooting">
			<c:choose>
				<c:when test="${mainForm.workWithCategories eq 'Content Pages'}">
					<a href="<c:out value="${administratorURL}"/>/CategoryAddForm.do?workWithCategories=Content%20Pages">Use the full add content page form</a>
				</c:when>
				<c:otherwise>
					<a href="<c:out value="${administratorURL}"/>/CategoryAddForm.do">Use the full add category form</a>
				</c:otherwise>
			</c:choose>
		</div>
	</div>
	
	<div class="controlScreenExtra">
		<h2 class="administratorHeader"><c:choose><c:when test="${mainForm.workWithCategories eq 'Content Pages'}">Content Page</c:when><c:otherwise>Category</c:otherwise></c:choose> Sorter</h2>
		<form name="categorySorter" class="extraForm adminContainer" action="<c:out value="${administratorURL}"/>/CategorySorter.do">
			<div class="sorterOptions">
				<label for="sorterByName">Sort by name:</label> <input id="sorterByName" type="radio" name="sortBy" value="name" checked="checked"/>
				&nbsp;&nbsp;&nbsp;
				<label for="sorterByCode">Sort by code:</label> <input id="sorterByCode" type="radio" name="sortBy" value="code"/>
				<c:choose>
					<c:when test="${!empty categoriesSize and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
						&nbsp;&nbsp;&nbsp;
						<label for="sorterByCode">Sort <c:choose><c:when test="${mainForm.workWithCategories eq 'Content Pages'}">content pages under</c:when><c:otherwise>subcategories of</c:otherwise></c:choose>:</label>
						<html:select styleId="quickAddParentCategory" name="categoryAddEditForm" property="parentCategory">
							<logic:empty name="categoryAddEditForm" property="parentCategory">
								<option value="0" selected="selected">
									[All <c:choose><c:when test="${mainForm.workWithCategories eq 'Content Pages'}">Content Pages</c:when><c:otherwise>Categories</c:otherwise></c:choose>]
								</option>
							</logic:empty>
							<logic:notEmpty name="categoryAddEditForm" property="parentCategory">
								<option value="0">
									[All <c:choose><c:when test="${mainForm.workWithCategories eq 'Content Pages'}">Content Pages</c:when><c:otherwise>Categories</c:otherwise></c:choose>]
								</option>
							</logic:notEmpty>
							<html:options collection="categories" property="categoryID" labelProperty="name" />
						</html:select>
					</c:when>
					<c:when test="${categoriesSize > 0}">
						&nbsp;&nbsp;&nbsp;
						<label for="sorterByCode">Sort <c:choose><c:when test="${mainForm.workWithCategories eq 'Content Pages'}">content pages under</c:when><c:otherwise>subcategories of</c:otherwise></c:choose>:</label>
						<html:text maxlength="16" name="categoryAddEditForm" property="parentCategory" />
					</c:when>
					<c:otherwise>
					</c:otherwise>
				</c:choose>
				<input type="hidden" name="workWithCategories" value="${mainForm.workWithCategories}" />
				&nbsp;&nbsp;&nbsp;
				<input type="submit" class="button" name="sortProducts" value="Sort <c:choose><c:when test="${mainForm.workWithCategories eq 'Content Pages'}">Content Pages</c:when><c:otherwise>Categories</c:otherwise></c:choose>" />
			</div>
			<div class="instructions">
				<bean:message key="product.categorySorterInstructions" bundle="/product"/>
			</div>
		</form>
	</div>
</c:if>
<!-- End categoryExtra.jsp -->
