<%@ include file="/WEB-INF/layouts/default-xhtml/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-xhtml/core/commonVariables.jsp" %>
<c:if test="${!empty categories}">
	<bean:size id="categoriesSize" name="categories"/>
</c:if>
<c:if test="${!empty manufacturerCollection}">
	<bean:size id="manufacturersSize" name="manufacturerCollection"/>
</c:if>

<!-- Start productFormGuts.jsp -->
<tr>
	<td class="setting">Name:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="name" />
	<div class="fieldDescription">The name of this product as it appears to customers (may include HTML tags).</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Code:</td>
	<td class="value"><html:text styleClass="length100" maxlength="100" name="productAddEditForm" property="code" />
	<div class="fieldDescription">A unique code for this product, used by the system to identify it. (No spaces,
	commas, or pipe characters.) If left blank, the system will automatically generate the code from the name.</div>
	</td>
</tr>
<tr>
	<td class="setting">SEO Code:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="seoCode" />
	<div class="fieldDescription">A unique code used for the URL for this product's detail page, if the "Use SEO Code
	for Product URLs" setting on the Settings -&gt; SEO screen is set to yes. If not present, the system will look for the
	product using the "code" value. (No spaces, commas, or pipe characters.)</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Price:</td>
	<td class="value"><html:text styleClass="number" maxlength="9" name="productAddEditForm" property="unitPrice" />
	<div class="fieldDescription">This product's price, used for display to customers and for calculating order
	totals.</div>
	</td>
</tr>
<tr>
	<td class="setting">Primary Category:</td>
	<td class="value">
		<c:choose>
			<c:when test="${empty categories or (!empty categoriesSize and categoriesSize == 0)}">
				No categories defined. <a href="CategoryAddForm.do">Add a category</a>.
				<html:hidden name="productAddEditForm" property="primaryCategoryID" value="0"/>
			</c:when>
			<c:when test="${!empty categoriesSize and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
				<html:select name="productAddEditForm" property="primaryCategoryID">
					<logic:empty name="productAddEditForm" property="primaryCategoryID">
						<option value="0" selected="selected">[None]</option>
					</logic:empty>
					<logic:notEmpty name="productAddEditForm" property="primaryCategoryID">
						<option value="0">[None]</option>
					</logic:notEmpty>
					<html:options collection="categories" property="categoryID" labelProperty="name" />
				</html:select>
			</c:when>
			<c:otherwise>
				<html:text maxlength="16" name="productAddEditForm" property="primaryCategoryID" />
			</c:otherwise>
		</c:choose>
		<c:choose>
			<c:when test="${empty categories or (!empty categoriesSize and categoriesSize == 0)}">
			</c:when>
			<c:when test="${!empty categoriesSize and categoriesSize <= settings.map.maxAdminRecordsToDisplay}">
				<div class="fieldDescription">The main category for this product. Determines which category is shown by default
				in the breadcrumbing on the product's page.</div>
			</c:when>
			<c:otherwise>
				<div class="fieldDescription">The main category for this product. Determines which category is shown by default
				in the breadcrumbing on the product's page.
				Because there are more than <c:out value="${settings.map.maxAdminRecordsToDisplay}"/>
				categories in the system, a drop down menu for this field is not available. 
				You may change it by entering the categoryID.</div>
			</c:otherwise>
		</c:choose>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Description:</td>
	<td class="value">
		<html:textarea rows="20" name="productAddEditForm" property="description" styleId="product-description" styleClass="description htmlDescription"/>
		<br/>
		<div class="fieldDescription">The full description for this product as displayed to customers (may include HTML
	tags).</div>
		<c:choose>
			<c:when test="${settings.map.useTinyMCE eq '1'}">
				<script>tinymce.init({
						selector: "textarea.description",
						menubar: "false",
						toolbar: "formatselect | styleselect | undo redo | bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent blockquote | link image | table | code",
						plugins: "table code link image paste",
					    tools: "inserttable",
					    paste_text_sticky: true
				});</script>
			</c:when>
			<c:otherwise>
				<div><a href="#" id="showHTMLDialog">Use Design Editor &raquo;</a></div>
				<div id="designEditor">
					<div class="hd">Product Description</div>
					<div class="bd">
						<div><textarea id="designEditorTextarea" name="designEditorTextarea"><c:out value="${productAddEditForm.description}"/></textarea></div>
						<script language="JavaScript" type="text/javascript">
							<!--
							YAHOO.designEditor.targetField = document.forms.productAddEditForm.description;
							YAHOO.designEditor.sourceField = document.forms.productAddEditForm.designEditorTextarea;
							//-->
						</script>
					</div>
				</div>
			</c:otherwise>
		</c:choose>
	</td>
</tr>
<tr>
	<td class="setting">Short Description:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="shortDescription" />
	<div class="fieldDescription">A short description for this product. Used for product searches, and with the
	meta/description tag for the product page.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Manufacturer:</td>
	<td class="value">
		<c:choose>
			<c:when test="${empty manufacturerCollection or (!empty manufacturersSize and manufacturersSize == 0)}">
				No manufacturers defined. <a href="ManufacturerAddForm.do">Add a manufacturer</a>.
				<html:hidden name="productAddEditForm" property="manufacturerID" value="0"/>
			</c:when>
			<c:when test="${!empty manufacturersSize and manufacturersSize <= settings.map.maxAdminRecordsToDisplay}">
				<html:select name="productAddEditForm" property="manufacturerID">
					<logic:empty name="productAddEditForm" property="manufacturerID">
						<option value="0" selected="selected">[None]</option>
					</logic:empty>
					<logic:notEmpty name="productAddEditForm" property="manufacturerID">
						<option value="0">[None]</option>
					</logic:notEmpty>
					<html:options collection="manufacturerCollection" property="manufacturerID" labelProperty="name" />
				</html:select>
			</c:when>
			<c:otherwise>
				<html:text maxlength="16" name="productAddEditForm" property="manufacturerID" />
			</c:otherwise>
		</c:choose>
		<c:choose>
			<c:when test="${empty manufacturerCollection or (!empty manufacturersSize and manufacturersSize == 0)}">
			</c:when>
			<c:when test="${!empty manufacturersSize and manufacturersSize <= settings.map.maxAdminRecordsToDisplay}">
				<div class="fieldDescription">The manufacturer for this product.</div>
			</c:when>
			<c:otherwise>
				<div class="fieldDescription">The manufacturer for this product.
				Because there are more than <c:out value="${settings.map.maxAdminRecordsToDisplay}"/>
				manufacturers in the system, a drop down menu for this field is not available. 
				You may change it by entering the manufacturerID.</div>
			</c:otherwise>
		</c:choose>
	</td>
</tr>
<tr>
	<td class="setting">Product Order:</td>
	<td class="value"><html:text styleClass="number" maxlength="10" name="productAddEditForm" property="productOrder" />
	<div class="fieldDescription">The order in which this product will appear relative to other products, on list
	pages such as the category page, or search results.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Taxed:</td>
	<td class="value"><html:radio name="productAddEditForm" property="isTaxed" value="true" /> yes &nbsp;&nbsp;
	<html:radio name="productAddEditForm" property="isTaxed" value="false" /> no
	<div class="fieldDescription">If true, the order item total for this product will be added to the order's taxable
	subtotal.</div>
	</td>
</tr>
<tr>
	<td class="setting">Alternate Price:</td>
	<td class="value"><html:text styleClass="number" maxlength="9" name="productAddEditForm" property="altPrice" />
	<div class="fieldDescription">An alternate price for the product. If present it will show up as this product's
	"Compare At" price. (Not used in any processing logic.)</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Cost:</td>
	<td class="value"><html:text styleClass="number" maxlength="9" name="productAddEditForm" property="unitCost" />
	<div class="fieldDescription">This product's (manufacturing or other) cost. (Not used in any processing logic.)</div>
	</td>
</tr>
<tr>
	<td class="setting">Weight:</td>
	<td class="value"><html:text styleClass="number" maxlength="9" name="productAddEditForm" property="weight" />
	<div class="fieldDescription">This product's weight. Used to calculate shipment weights.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Keywords:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="keywords" />
	<div class="fieldDescription">Search keywords for this product. Used for product searches, and with the
	meta/keywords tag for the product page.</div>
	</td>
</tr>
<tr>
	<td class="setting">Header:</td>
	<td class="value"><html:textarea rows="5" name="productAddEditForm" property="header" styleClass="description htmlDescription" />
	<div class="fieldDescription">Any HTML that will appear above the product detail on this product's page.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Footer:</td>
	<td class="value"><html:textarea rows="5" name="productAddEditForm" property="footer" styleClass="description htmlDescription" />
	<div class="fieldDescription">Any HTML that will appear below the product detail on this product's page.</div>
	</td>
</tr>
<tr>
	<td class="setting">Small Image Path:</td>
	<td>
		<html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="smallImage" />
		<c:if test="${!empty productAddEditForm.smallImage}">
			<div><a onclick="window.open('<c:out value="${productAddEditForm.smallImage}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="<c:out value="${productAddEditForm.smallImage}"/>">View Image</a></div>
		</c:if>
	</td>
</tr>
<tr>
	<td class="setting">Upload:</td>
	<td class="value"><html:file property="smallImageUpload" name="productAddEditForm"></html:file>
	<div class="fieldDescription">The thumbnail image for this product, as appears on category and other list pages.
	(Browse to upload a file or enter a URL path to the image.)</div>
	</td>
</tr>

<tr class="altRow">
	<td class="setting">Medium Image Path:</td>
	<td class="value">
		<html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="mediumImage" />
		<c:if test="${!empty productAddEditForm.mediumImage}">
			<div><a onclick="window.open('<c:out value="${productAddEditForm.mediumImage}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="<c:out value="${productAddEditForm.mediumImage}"/>">View Image</a></div>
		</c:if>
    </td>
</tr>
<tr class="altRow">
	<td class="setting">Upload:</td>
	<td class="value"><html:file property="mediumImageUpload" name="productAddEditForm"></html:file>
	<div class="fieldDescription">The regular-sized image for this product, as appears on this product's page. (Browse to upload a file or enter
	a URL path to the image.)</div>
	</td>
</tr>
<tr>
	<td class="setting">Large Image:</td>
	<td class="value">
		<html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="largeImage" />
		<c:if test="${!empty productAddEditForm.largeImage}">
			<div><a onclick="window.open('<c:out value="${productAddEditForm.largeImage}"/>','_blank','height=400,width=500,scrollbars=yes'); return false;" target="_blank" href="<c:out value="${productAddEditForm.largeImage}"/>">View Image</a></div>
		</c:if>
    </td>
</tr>
<tr>
	<td class="setting">Upload:</td>
	<td class="value"><html:file property="largeImageUpload" name="productAddEditForm"></html:file>
	<div class="fieldDescription"><p>The zoom image for this product. Appears when customers click the "click to zoom"
	link on the product page. (Browse to upload a file or enter a URL path to the image.)</p>
	<c:if test="${settings.map.automaticallyResizeImages eq '1'}"><p>NOTE: To automatically generate the small and medium image
	 as you upload the large image, make sure the small and medium form fields above are left blank.</p></c:if></div>
	</td>
</tr>

<tr class="altRow">
	<td class="setting">Extra Field 1:</td>
	<td class="value"><html:text maxlength="255" name="productAddEditForm" property="extra1" />
	<div class="fieldDescription">Any extra, or custom information associated with this product.</div>
	</td>
</tr>
<tr>
	<td class="setting">Extra Field 2:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="extra2" /></td>
</tr>
<tr class="altRow">
	<td class="setting">Extra Field 3:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="extra3" /></td>
</tr>
<tr>
	<td class="setting">Extra Field 4:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="extra4" /></td>
</tr>
<tr class="altRow">
	<td class="setting">Extra Field 5:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="productAddEditForm" property="extra5" /></td>
</tr>
<tr>
	<td class="setting">Active:</td>
	<td class="value"><html:radio name="productAddEditForm" property="isActive" value="true" /> yes
	&nbsp;&nbsp; <html:radio name="productAddEditForm" property="isActive" value="false" /> no
	<div class="fieldDescription">If no, this product will not appear to customers.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Created:</td>
	<td class="value"><c:out value="${productAddEditForm.created}"/></td>
</tr>
<c:if test="${settings.map.advancedSearchOn eq '1'}">
	<tr>
		<td class="setting">Update Advanced Search Index:</td>
		<td class="value"><html:radio name="productAddEditForm" property="updateAdvancedSearchIndex" value="true" /> yes
		&nbsp;&nbsp; <html:radio name="productAddEditForm" property="updateAdvancedSearchIndex" value="false" /> no
		<div class="fieldDescription">If yes, as this record is saved, the corresponding document stored in the advanced search index will be updated.</div>
		</td>
	</tr>
</c:if>
<!-- End productFormGuts.jsp -->
